    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.awt.Dimension

    java.lang.Object
       |
       +----java.awt.Dimension

public class Dimension
extends Object
implements Serializable

The `Dimension` class encapsulates the width and height of a component in a single object. The class is associated with certain properties of components. Several methods defined by the `Component` class and the `LayoutManager` interface return a `Dimension` object.

Normally the values of `width` and `height` are non-negative integers. The constructors that allow you to create a dimension do not prevent you from setting a negative value for these properties. If the value of `width` or `height` is negative, the behavior of some methods defined by other objects is undefined.

See Also:
  Component, LayoutManager

##

height
  The height dimension.
width
  The width dimension.

##

Dimension()
  Creates an instance of `Dimension` with a width of zero and a height of zero.
Dimension(Dimension)
  Creates an instance of `Dimension` whose width and height are the same as for the specified dimension.
Dimension(int, int)
  Constructs a Dimension and initializes it to the specified width and specified height.

##

equals(Object)
  Checks whether two dimension objects have equal values.
getSize()
  Gets the size of this `Dimension` object.
setSize(Dimension)
  Set the size of this `Dimension` object to the specified size.
setSize(int, int)
  Set the size of this `Dimension` object to the specified width and height.
toString()
  Returns a string that represents this `Dimension` object's values.

##

width

     public int width

  The width dimension.

height

     public int height

  The height dimension.

##

Dimension

     public Dimension()

  Creates an instance of `Dimension` with a width of zero and a height of zero.

Dimension

     public Dimension(Dimension d)

  Creates an instance of `Dimension` whose width and height are the same as for the specified dimension.

  Parameters:
    d - the specified dimension for the `width` and `height` values.

Dimension

     public Dimension(int width,
                      int height)

  Constructs a Dimension and initializes it to the specified width and specified height.

  Parameters:
    width - the specified width dimension
    height - the specified height dimension

##

getSize

     public Dimension getSize()

  Gets the size of this `Dimension` object. This method is included for completeness, to parallel the `getSize` method defined by `Component`.

  Returns:
    the size of this dimension, a new instance of `Dimension` with the same width and height.
  See Also:
    setSize, getSize

setSize

     public void setSize(Dimension d)

  Set the size of this `Dimension` object to the specified size. This method is included for completeness, to parallel the `setSize` method defined by `Component`.

  Parameters:
    d - the new size for this `Dimension` object.
  See Also:
    getSize, setSize

setSize

     public void setSize(int width,
                         int height)

  Set the size of this `Dimension` object to the specified width and height. This method is included for completeness, to parallel the `setSize` method defined by `Component`.

  Parameters:
    width - the new width for this `Dimension` object.
    height - the new height for this `Dimension` object.
  See Also:
    getSize, setSize

equals

     public boolean equals(Object obj)

  Checks whether two dimension objects have equal values.

  Overrides:
    equals in class Object

toString

     public String toString()

  Returns a string that represents this `Dimension` object's values.

  Returns:
    a string representation of this dimension, including the values of `width` and `height`.
  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.